$schema: http://json-schema.org/draft-07/schema#
type: object
properties:
  modem-signal:
    $ref: '#/definitions/source'
  modem-connection:
    $ref: '#/definitions/source'
  modem-info:
    $ref: '#/definitions/source'
  modem-sim:
    $ref: '#/definitions/source'
  gps-location:
    $ref: '#/definitions/source'
  gps-velocity:
    $ref: '#/definitions/source'
  gps-satellites:
    $ref: '#/definitions/source'
  wifi-ap-stations:
    $ref: '#/definitions/source'
  wifi-cli-connection:
    $ref: '#/definitions/source'
  wifi-mesh-peers:
    $ref: '#/definitions/source'
  wifi-probes:
    $ref: '#/definitions/source'
  voltage:
    $ref: '#/definitions/source'
  cpu-usage:
    $ref: '#/definitions/source'
  disk-usage:
    $ref: '#/definitions/source'
  mac-addr:
    $ref: '#/definitions/source'
  mem-usage:
    $ref: '#/definitions/source'
  network-tests:
    $ref: '#/definitions/source'
  service-check:
    $ref: '#/definitions/source'
  os-version:
    $ref: '#/definitions/source'
  hostname:
    $ref: '#/definitions/source'
  link-stats:
    $ref: '#/definitions/source'
  link-state:
    $ref: '#/definitions/source'
  vpn-stats:
    $ref: '#/definitions/source'
  vpn-state:
    $ref: '#/definitions/source'
  can-data:
    $ref: '#/definitions/source'
additionalProperties: false
definitions:
  source:
    type: object
    properties:
      cache:
        type: integer
        minimum: 0
      interval:
        type: integer
        minimum: 0
    additionalProperties: false
